Description

Lo scopo è quello di permettere a client provenienti da domini *.isti.cnr.it di accedere al front end con chiamate tipo 

https://openportal.isti.cnr.it/results?format=json&qv=

e autorizzare questi domini nell'header della risposta così da evitare problemi di CORS 

Related issues:

Related to ISTI Open Access - Support #27104: Problema accesso a dati openpor... Closed Mar 22, 2024

History

#1 - Jun 09, 2023 04:53 PM - Tommaso Piccioli

- Status changed from New to In Progress

Per ora ho aperto l'accesso a solr attraverso nginx (https: porta 443) all'IP richiesto.

Abbiamo già un'altra macchina che fa accesso alle API e non abbiamo impostato nessun header specifico, potete controllare se funziona già così?

#2 - Jun 20, 2023 12:48 PM - Leonardo Candela

- Status changed from In Progress to Paused

Propongo di bloccare questa attività per il caso specifico. Gli indico la strada delle chiamate che tornano JSON.

#3 - Jul 01, 2023 11:00 AM - Leonardo Candela

- Status changed from Paused to In Progress

- Priority changed from Normal to High

This is going to be reconsidered ... we should only set the openportal.isti.cnr.it front end to be exploited / embedded in third party sites. 

I would say all *.ist.cnr.it domains. 

There is no need to give access to the backend. 

#4 - Jul 12, 2023 03:47 PM - Leonardo Candela

- Subject changed from Autorizzare nuovo indirizzo IP to Configurare openportal front end all'accesso da siti *.isti.cnr.it

- Description updated

#5 - Jul 13, 2023 04:06 PM - Tommaso Piccioli

Scusate ma sono un po' confuso su questa cosa.

Attualmente è possibile fare interrogazioni sul frontend di openportal, anche dalla macchina www-wnlab.isti.cnr.it

wget "https://openportal.isti.cnr.it/results?format=json&qv=Crivello"

 ritorna vari records preceduti dalle statistiche sulla ricerca eseguita.

#6 - Jul 13, 2023 05:52 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback
https://openportal.isti.cnr.it/results?format=json&qv=


Ho parlato con Crivello, ho aggiunto alla configurazione dell'intero VirtualHost https del portale openportal ISTI

     # allow https query from wnlab site

     Header set Access-Control-Allow-Origin "www-wnlab.isti.cnr.it"

#7 - Jul 13, 2023 07:04 PM - Tommaso Piccioli

Credo di aver risolto, la configurazione corretta dovrebbe essere questa, per il virtualhost 

Header set Access-Control-Allow-Origin "https://www-wnlab.isti.cnr.it"

 Ho fatto delle prove con il codice indicato da Crivello dalla console del browser visualizzando il sito www-wnlab.isti.cnr.it e non vedo più errori, ci

confermeranno se ora riescono ad ottenere i dati correttamente.

#8 - Jul 14, 2023 10:08 AM - Leonardo Candela

- % Done changed from 0 to 50

OK abbiamo risolto lo specifico ma così facendo quando passeranno al sito di produzione dovremmo cambiare di nuovo. 

Non è possibile avere un header tipo *.isti.cnr.it?

#9 - Jul 17, 2023 10:45 AM - Tommaso Piccioli

Appena riesco a capire come farlo.

#10 - Jul 17, 2023 12:01 PM - Tommaso Piccioli

Non si può usare "Access-Control-Allow-Origin" con wildcard, per ora ho aggiunto specificatamente www-wnlab.isti.cnr.it e wnlab.isti.cnr.it

#11 - Sep 06, 2023 11:34 AM - Leonardo Candela

- % Done changed from 50 to 100

Questo ticket si può considerare completo. 

#12 - Sep 06, 2023 11:35 AM - Leonardo Candela

- Status changed from Feedback to Closed

#13 - Mar 22, 2024 03:27 PM - Leonardo Candela

- Related to Support #27104: Problema accesso a dati openportal da nuovo sito web wnlab added
